Update Recipient
curl --request POST \
--url http://127.0.0.1:8083/api/recipients/{recipient_id}/update \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>' \
--data '
{
"business_name": "<string>",
"country_code": "CN",
"payment_details": {
"account_type": "<string>",
"bank_name": "JPMorgan Chase",
"network": "SWIFT",
"account_name": "<string>",
"account_number": "<string>",
"swift_code": "<string>",
"account_currency": "USD",
"country_code": "CN",
"payment_method": "INTERNATIONAL_WIRE",
"local_bank_code": "<string>"
},
"website": "https://www.example.com",
"address_info": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"post_code": "<string>"
},
"file_id_list": [
"<string>"
]
}
'import requests
url = "http://127.0.0.1:8083/api/recipients/{recipient_id}/update"
payload = {
"business_name": "<string>",
"country_code": "CN",
"payment_details": {
"account_type": "<string>",
"bank_name": "JPMorgan Chase",
"network": "SWIFT",
"account_name": "<string>",
"account_number": "<string>",
"swift_code": "<string>",
"account_currency": "USD",
"country_code": "CN",
"payment_method": "INTERNATIONAL_WIRE",
"local_bank_code": "<string>"
},
"website": "https://www.example.com",
"address_info": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"post_code": "<string>"
},
"file_id_list": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
'X-API-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
business_name: '<string>',
country_code: 'CN',
payment_details: {
account_type: '<string>',
bank_name: 'JPMorgan Chase',
network: 'SWIFT',
account_name: '<string>',
account_number: '<string>',
swift_code: '<string>',
account_currency: 'USD',
country_code: 'CN',
payment_method: 'INTERNATIONAL_WIRE',
local_bank_code: '<string>'
},
website: 'https://www.example.com',
address_info: {
address_line_1: '<string>',
address_line_2: '<string>',
city: '<string>',
state: '<string>',
post_code: '<string>'
},
file_id_list: ['<string>']
})
};
fetch('http://127.0.0.1:8083/api/recipients/{recipient_id}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partner_recipient_id": "<string>",
"business_name": "<string>",
"country_code": "CN",
"recipient_id": "rcp_ff624a5b02d44c98af91698e0bc69118",
"status": "active",
"website": "https://www.example.com",
"created_at": "2023-11-07T05:31:56Z",
"address_info": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"post_code": "<string>"
},
"payment_details": {
"bank_name": "JPMorgan Chase",
"network": "SWIFT",
"account_name": "<string>",
"account_number": "<string>",
"swift_code": "<string>",
"account_currency": "USD",
"country_code": "CN",
"account_type": "<string>",
"payment_method": "INTERNATIONAL_WIRE",
"local_bank_code": "<string>"
},
"file_id_list": [
"<string>"
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "Invalid organizationId",
"code": "ORG_ID_INVALID"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Recipients
Update Recipient
Edit an existing recipient stored on the AxisFI platform.
POST
/
api
/
recipients
/
{recipient_id}
/
update
Update Recipient
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
Body
application/json
Business Name
Required string length:
2 - 128Business Type
Available options:
Business, Individual Pattern:
^(Business|Individual)$Country Code
Available options:
CN Pattern:
^(CN)$Example:
"CN"
Payment details
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Website
Maximum string length:
225Example:
"https://www.example.com"
Address Information
Show child attributes
Show child attributes
List of file IDs
Maximum array length:
10List of file IDs
Response
Operation Successful
Partner Assigned Recipient ID
Required string length:
20 - 64Business Name
Required string length:
2 - 128Business Type
Available options:
Business, Individual Pattern:
^(Business|Individual)$Country Code
Available options:
CN Pattern:
^(CN)$Example:
"CN"
Unique Recipient ID
Example:
"rcp_ff624a5b02d44c98af91698e0bc69118"
Status
Available options:
pending, active, rejected, suspended Example:
"active"
Website
Maximum string length:
225Example:
"https://www.example.com"
Address Information
Show child attributes
Show child attributes
Payment details
- Option 1
- Option 2
Show child attributes
Show child attributes
List of file IDs
Maximum array length:
10List of file IDs
⌘I

